Loading...
Searching...
No Matches
gtsam::internal::HasManifoldPrereqs< Class > Struct Template Reference

## Detailed Description

template<class Class>
struct gtsam::internal::HasManifoldPrereqs< Class >

Requirements on type to pass it to Manifold template below.

## Public Member Functions

| BOOST_CONCEPT_USAGE (HasManifoldPrereqs)

## Public Attributes

Class | p
Class | q
Eigen::Matrix< double, dim, 1 > | v
OptionalJacobian< dim, dim > | Hp
OptionalJacobian< dim, dim > | Hq
OptionalJacobian< dim, dim > | Hv

## Public Types

enum | { dim = Class::dimension }

The documentation for this struct was generated from the following file:

- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/base/Manifold.h